﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HeuristicLab.Hive.Slave.Communication.SlaveService;
using HeuristicLab.Hive.Contracts;

namespace HeuristicLab.Hive.Slave.Communication {
  internal static class ServiceLocator {
    internal static SlaveFacadeClient CreateSlaveFacade(string hostAddress) {
      SlaveFacadeClient client = new SlaveFacadeClient("SlaveHttpEndpoint");
      WcfSettings.SetEndpointAddress(client.Endpoint, hostAddress);
      return client;
    }

    internal static SlaveFacadeClient CreateStreamedSlaveFacade(string hostAddress) {
      SlaveFacadeClient client = new SlaveFacadeClient("SlaveTcpStreamedEndpoint");
      WcfSettings.SetEndpointAddress(client.Endpoint, hostAddress);
      return client;
    }
  }
}
